package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.LabNotifyplan;
import com.zd.laboratory.domain.vo.LabNotifyplanVO;

/**
 * 大屏通知计划Mapper接口
 *
 * @author zd
 * @date 2022-02-16
 */
public interface LabNotifyplanMapper
{
    /**
     * 查询大屏通知计划
     *
     * @param id 大屏通知计划主键
     * @return 大屏通知计划
     */
    public LabNotifyplanVO selectLabNotifyplanById(Long id);

    /**
     * 查询大屏通知计划列表
     *
     * @param labNotifyplan 大屏通知计划
     * @return 大屏通知计划集合
     */
    public List<LabNotifyplan> selectLabNotifyplanList(LabNotifyplan labNotifyplan);

    /**
     * 查询大屏通知计划列表
     *
     * @param labNotifyplan 大屏通知计划
     * @return 大屏通知计划集合
     */
    public List<LabNotifyplanVO> selectLabNotifyplanListVO(LabNotifyplanVO labNotifyplan);

    /**
     * 新增大屏通知计划
     *
     * @param labNotifyplan 大屏通知计划
     * @return 结果
     */
    public int insertLabNotifyplan(LabNotifyplan labNotifyplan);

    /**
     * 修改大屏通知计划
     *
     * @param labNotifyplan 大屏通知计划
     * @return 结果
     */
    public int updateLabNotifyplan(LabNotifyplan labNotifyplan);

    /**
     * 删除大屏通知计划
     *
     * @param id 大屏通知计划主键
     * @return 结果
     */
    public int deleteLabNotifyplanById(Long id);

    /**
     * 批量删除大屏通知计划
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabNotifyplanByIds(Long[] ids);
}